%define shortname gdamm
%define origname libgdamm
%define api 4.0
%define major 13
%define lib_name %mklibname %{shortname} %{api} %{major}
%define develname %mklibname gdamm %{api} -d

Name:           libgdamm4
Summary:        C++ wrappers for libgda
Version:        4.1.3
Group: 		System/Libraries
License:	LGPLv2+
Release:        %mkrel 1
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libgdamm/%{origname}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  glibmm2.4-devel >= 2.27.93
BuildRequires:  libgda4.0-devel >= 4.1.7
BuildRequires:	gnome-common

%description
C++ wrappers for libgda. libgdamm is part of a set of powerful
C++ bindings for the GNOME libraries, which provide additional
functionality above GTK+/gtkmm.

%package -n     %{lib_name}
Summary:        Main library for gdamm
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{lib_name}
C++ wrappers for libgda. libgdamm is part of a set of powerful
C++ bindings for the GNOME libraries, which provide additional
functionality above GTK+/gtkmm.

%package -n     %{develname}
Summary:        Headers for developing programs that will use gda
Group:          Development/Libraries
Requires:       %{lib_name} = %{version}
Provides:       %{lib_name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains headers and libraries that programmers will need
to develop applications which use libgdamm.

%prep
%setup -q -n %{origname}-%{version}

%build

%configure2_5x --enable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS
%{_libdir}/lib*-%{api}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc %_datadir/doc/libgdamm-%api
%doc %_datadir/devhelp/books/libgdamm-%api
%{_includedir}/libgdamm-%api
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/libgdamm-%api
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Dec 01 2011 Texstar <texstar at gmail.com> 4.1.3-1pclos2011
- 4.1.3 for glom
 